/*
	ZazouMiniWebServer

	Copyright (C) 2003-2011 Xavier Garreau <xavier@xgarreau.org>

	This file is part of ZazouMiniWebServer.

    ZazouMiniWebServer is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    ZazouMiniWebServer is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with ZazouMiniWebServer; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
*/
	
#ifndef _ZMWS_OPTPARSER_H
#define _ZMWS_OPTPARSER_H 1


#include <vector>
#include <string>
#include "ZMWSConfig.h"

class ZMWSOptParser
{
	static const char* valid_options[];
	void PrintError(const std::string& option, const std::string& error_text);
	void PrintWarning(const std::string& warning_text);

public: 
	ZMWSOptParser() {};
	~ZMWSOptParser() {};
	BOOL Parse(int argc, char** argv, ZMWSConfig& config);
};

#endif

