/*
	ZazouMiniWebServer

	Copyright (C) 2003-2011 Xavier Garreau <xavier@xgarreau.org>

	This file is part of ZazouMiniWebServer.

    ZazouMiniWebServer is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    ZazouMiniWebServer is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with ZazouMiniWebServer; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
*/
	

#ifndef ZMWSRESOLVER_H
#define ZMWSRESOLVER_H 1

#include "ZOSAL.h"
#include <map>
#include <string>

typedef std::map<unsigned long, unsigned char> hosts_map_type;
/*
 * No description
 */
class ZMWSResolver
{
    static hosts_map_type hosts_map;
    static CRITICAL_SECTION* resolverCS;

public:
	// class constructor
	ZMWSResolver();
	// class destructor
	~ZMWSResolver();
	static std::string getHostName(struct in_addr addr);
};

#endif // ZMWSRESOLVER_H

