/*
	ZazouMiniWebServer

	Copyright (C) 2003-2011 Xavier Garreau <xavier@xgarreau.org>

	This file is part of ZazouMiniWebServer.

    ZazouMiniWebServer is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    ZazouMiniWebServer is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with ZazouMiniWebServer; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
*/
#include <windows.h>

#ifndef _ZMWH_LIB_H
#define _ZMWH_LIB_H 1

struct CBaseZMWSConfig
{
	int port;
	int sport;
	char* bindAddr;
	char* documentRoot;
	char* serverRoot;
	char* logsDir;
	char* pathToConfigFile;
	char* pathToPHP;
	char* defCharSet;
	char* startPages;
	char* allowFrom;
	char* denyFrom;

	DWORD maxClients;
	BOOL hideConsole;
	BOOL try808xPorts;
	BOOL canIndex;
	BOOL beQuiet;
	BOOL canStop;
	BOOL closeBrowser;
	BOOL reverseDNS;
	BOOL writeLogs;
	BOOL browseNow; 
	BOOL dropClients;

	// 1.1
	BYTE pbtoken;

	// 1.2.9
	// 1.4.0
	char* browserCmd;
};

#endif
