#ifdef ZAZOUMINIWEBSERVERDLL_EXPORTS
#define ZMWS_EXPORT __declspec(dllexport)
#else
#define ZMWS_EXPORT __declspec(dllimport)
#endif

#include "../ZazouMiniWebServer/zmwslib.h"

extern "C" {
	ZMWS_EXPORT int				__cdecl zmws_start						(int argc, char** argv);
	ZMWS_EXPORT void			__cdecl zmws_stop						();
	ZMWS_EXPORT void			__cdecl zmws_stop_and_wait				();
	ZMWS_EXPORT void			__cdecl zmws_wait						();
	ZMWS_EXPORT void			__cdecl zmws_get_config					(CBaseZMWSConfig* base_config);
	ZMWS_EXPORT void			__cdecl zmws_free_config				(CBaseZMWSConfig* base_config);
	ZMWS_EXPORT void			__cdecl zmws_browse						();
	ZMWS_EXPORT const char*		__cdecl zmws_get_version				();
	ZMWS_EXPORT const char*		__cdecl zmws_get_ips					();
// 1.2.0
	ZMWS_EXPORT BOOL			__cdecl zmws_configure					();
	ZMWS_EXPORT const int		__cdecl zmws_strlen						(const char* var);
// 1.2.4
	ZMWS_EXPORT int				__cdecl zmws_start_with_config_file		(const char* config_file_path);
	ZMWS_EXPORT BOOL			__cdecl zmws_configure_with_config_file	(const char* config_file_path);
// 1.2.6
	ZMWS_EXPORT int				__cdecl zmws_easy_start					();
	ZMWS_EXPORT int				__cdecl zmws_get_port					();
// 1.2.7
	ZMWS_EXPORT void			__cdecl zmws_sapi_data_cleanup			(void* data);
}
