/*
	ZazouMiniWebServer

	Copyright (C) 2003-2011 Xavier Garreau <xavier@xgarreau.org>

	This file is part of ZazouMiniWebServer.

    ZazouMiniWebServer is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    ZazouMiniWebServer is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with ZazouMiniWebServer; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
*/
	
#ifndef _ZMWS_HTTPUTILS_H
#define _ZMWS_HTTPUTILS_H 1

#include <string>
#include <map>

typedef std::pair<int, std::string> HTTP_RESPONSE;
typedef std::map<int, std::string> HTTP_RESPONSES_MAP;
class ZMWSHTTPUtils
{
	HTTP_RESPONSES_MAP http_responses;
    static std::string defaultHTTPResp;
public:
	const std::string getReasonPhrase(const int http_ret_code);
	ZMWSHTTPUtils(void);
	~ZMWSHTTPUtils(void);
};

#endif 

